package cn.iocoder.yudao.module.mes.controller.admin.task.vo;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.ArrayList;
import java.util.List;

@Getter
@AllArgsConstructor
public enum TaskStatusEnum {

    草稿(0),
    送审(1),
    下达(2),
    已排产(3),
    开工(4),
    完工(5),
    入库(6);

    private final Integer value;

    // 一个可选的方法，用于根据整数值获取对应的枚举实例
    public static TaskStatusEnum fromValue(int value) {
        for (TaskStatusEnum status : TaskStatusEnum.values()) {
            if (status.getValue() == value) {
                return status;
            }
        }
        throw new IllegalArgumentException("Unknown value: " + value);
    }
    //返回能汇总计划数的状态
    public static List<Integer> getEnablePlanStatus(){
        List<Integer> statusList = new ArrayList<>();
        statusList.add(TaskStatusEnum.下达.getValue());
        statusList.add(TaskStatusEnum.已排产.getValue());
        statusList.add(TaskStatusEnum.开工.getValue());
        statusList.add(TaskStatusEnum.完工.getValue());
        statusList.add(TaskStatusEnum.入库.getValue());
        return statusList;
    }
}